=== modified file 'olive/add.py'
--- olive/add.py	2006-09-25 01:58:44 +0000
+++ olive/add.py	2006-09-27 17:49:18 +0000
@@ -32,15 +32,13 @@
 
 class OliveAdd:
     """ Display the Add file(s) dialog and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Add file(s) dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_add', 'olive-gtk')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         self.window = self.glade.get_widget('window_add')
         
@@ -67,7 +65,7 @@
             filename = self.comm.get_selected_right()
             
             if filename is None:
-                self.dialog.error_dialog(_('No file was selected'),
+                error_dialog(_('No file was selected'),
                                          _('Please select a file from the list,\nor choose the other option.'))
                 self.comm.set_busy(self.window, False)
                 return
@@ -75,7 +73,7 @@
             try:
                 bzrlib.add.smart_add([directory + '/' + filename])
             except errors.NotBranchError:
-                self.dialog.error_dialog(_('Directory is not a branch'),
+                error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
                 self.comm.set_busy(self.window, False)
                 return
@@ -86,7 +84,7 @@
             try:
                 bzrlib.add.smart_add([directory], True)
             except errors.NotBranchError:
-                self.dialog.error_dialog(_('Directory is not a branch'),
+                error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
                 self.comm.set_busy(self.window, False)
                 return

=== modified file 'olive/bookmark.py'
--- olive/bookmark.py	2006-09-05 01:55:34 +0000
+++ olive/bookmark.py	2006-09-27 17:49:18 +0000
@@ -29,15 +29,13 @@
 
 class OliveBookmark:
     """ Display the Edit bookmark dialog and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Edit bookmark dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_bookmark', 'olive-gtk')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         self.window = self.glade.get_widget('window_bookmark')
         
@@ -61,7 +59,7 @@
         
     def bookmark(self, widget):
         if self.entry_title.get_text() == '':
-            self.dialog.error_dialog(_('No title given'),
+            error_dialog(_('No title given'),
                                      _('Please specify a title to continue.'))
             return
         

=== modified file 'olive/branch.py'
--- olive/branch.py	2006-09-05 01:55:34 +0000
+++ olive/branch.py	2006-09-27 17:49:18 +0000
@@ -31,15 +31,13 @@
 
 class OliveBranch:
     """ Display branch dialog and perform the needed operations. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Branch dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_branch', 'olive-gtk')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         self.window = self.glade.get_widget('window_branch')
         
@@ -62,7 +60,7 @@
         entry_location = self.glade.get_widget('entry_branch_location')
         location = entry_location.get_text()
         if location is '':
-            self.dialog.error_dialog(_('Missing branch location'),
+            error_dialog(_('Missing branch location'),
                                      _('You must specify a branch location.'))
             return
         
@@ -97,31 +95,31 @@
                 br_from.unlock()
                 
             self.close()
-            self.dialog.info_dialog(_('Branching successful'),
+            info_dialog(_('Branching successful'),
                                 _('%d revision(s) branched.') % revs)
             self.comm.refresh_right()
         except errors.NonExistingSource, errmsg:
-            self.dialog.error_dialog(_('Non existing source'),
+            error_dialog(_('Non existing source'),
                                      _("The location (%s)\ndoesn't exist.") % errmsg)
             self.comm.set_busy(self.window, False)
             return
         except errors.TargetAlreadyExists, errmsg:
-            self.dialog.error_dialog(_('Target already exists'),
+            error_dialog(_('Target already exists'),
                                      _('Target directory (%s)\nalready exists. Please select another target.') % errmsg)
             self.comm.set_busy(self.window, False)
             return
         except errors.NonExistingParent, errmsg:
-            self.dialog.error_dialog(_('Non existing parent directory'),
+            error_dialog(_('Non existing parent directory'),
                                      _("The parent directory (%s)\ndoesn't exist.") % errmsg)
             self.comm.set_busy(self.window, False)
             return
         except errors.NonExistingRevision:
-            self.dialog.error_dialog(_('Non existing revision'),
+            error_dialog(_('Non existing revision'),
                                      _("The revision you specified doesn't exist."))
             self.comm.set_busy(self.window, False)
             return
         except errors.NotBranchError, errmsg:
-            self.dialog.error_dialog(_('Location is not a branch'),
+            error_dialog(_('Location is not a branch'),
                                      _('The specified location has to be a branch.'))
             self.comm.set_busy(self.window, False)
             return

=== modified file 'olive/checkout.py'
--- olive/checkout.py	2006-09-05 01:55:34 +0000
+++ olive/checkout.py	2006-09-27 17:49:18 +0000
@@ -31,15 +31,13 @@
 
 class OliveCheckout:
     """ Display checkout dialog and perform the needed operations. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Checkout dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_checkout', 'olive-gtk')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         self.window = self.glade.get_widget('window_checkout')
         
@@ -62,7 +60,7 @@
         entry_location = self.glade.get_widget('entry_checkout_location')
         location = entry_location.get_text()
         if location is '':
-            self.dialog.error_dialog(_('Missing branch location'),
+            error_dialog(_('Missing branch location'),
                                      _('You must specify a branch location.'))
             return
         
@@ -114,17 +112,17 @@
             finally:
                 bzrlib.bzrdir.BzrDirFormat.set_default_format(old_format)
         except errors.NotBranchError, errmsg:
-            self.dialog.error_dialog(_('Location is not a branch'),
+            error_dialog(_('Location is not a branch'),
                                      _('The specified location has to be a branch.'))
             self.comm.set_busy(self.window, False)
             return
         except errors.TargetAlreadyExists, errmsg:
-            self.dialog.error_dialog(_('Target already exists'),
+            error_dialog(_('Target already exists'),
                                      _('Target directory (%s)\nalready exists. Please select another target.') % errmsg)
             self.comm.set_busy(self.window, False)
             return
         except errors.NonExistingParent, errmsg:
-            self.dialog.error_dialog(_('Non existing parent directory'),
+            error_dialog(_('Non existing parent directory'),
                                      _("The parent directory (%s)\ndoesn't exist.") % errmsg)
             self.comm.set_busy(self.window, False)
             return

=== modified file 'olive/commit.py'
--- olive/commit.py	2006-09-27 17:40:05 +0000
+++ olive/commit.py	2006-09-27 17:49:18 +0000
@@ -61,10 +61,7 @@
         
         # Set the delta
         self.old_tree = self.wt.branch.repository.revision_tree(self.wt.branch.last_revision())
-        if version_info < (0, 9):
-            self.delta = compare_trees(self.old_tree, self.wt)
-        else:
-            self.delta = self.wt.changes_from(self.old_tree)
+        self.delta = self.wt.changes_from(self.old_tree)
         
         # Dictionary for signal_autoconnect
         dic = { "on_button_commit_commit_clicked": self.commit,

=== modified file 'olive/diff.py'
--- olive/diff.py	2006-09-05 01:55:34 +0000
+++ olive/diff.py	2006-09-27 17:49:18 +0000
@@ -43,25 +43,19 @@
 
 import bzrlib
 
-if bzrlib.version_info < (0, 9):
-    # function deprecated after 0.9
-    from bzrlib.delta import compare_trees
-
 from bzrlib.diff import show_diff_trees
 import bzrlib.errors as errors
 from bzrlib.workingtree import WorkingTree
 
 class OliveDiff:
     """ Display Diff window and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Diff window. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_diff', 'olive-gtk')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         # Get some important widgets
         self.window = self.glade.get_widget('window_diff')
@@ -103,7 +97,7 @@
     def display(self):
         """ Display the Diff window. """
         if self.notbranch:
-            self.dialog.error_dialog(_('Directory is not a branch'),
+            error_dialog(_('Directory is not a branch'),
                                      _('You can perform this action only in a branch.'))
             self.close()
         else:
@@ -141,10 +135,7 @@
     def _init_diff(self):
         """ Generate initial diff. """
         self.model.clear()
-        if bzrlib.version_info < (0, 9):
-            delta = compare_trees(self.old_tree, self.wt)
-        else:
-            delta = self.wt.changes_from(self.old_tree)
+        delta = self.wt.changes_from(self.old_tree)
 
         self.model.append(None, [ _('Complete Diff'), "" ])
 

=== modified file 'olive/info.py'
--- olive/info.py	2006-09-13 20:19:31 +0000
+++ olive/info.py	2006-09-27 17:49:18 +0000
@@ -144,15 +144,13 @@
 
 class OliveInfo:
     """ Display Informations window and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Informations window. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_info', 'olive-gtk')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         # Get the Informations window widget
         self.window = self.glade.get_widget('window_info')
@@ -559,7 +557,7 @@
     def display(self):
         """ Display the Informations window. """
         if self.notbranch:
-            self.dialog.error_dialog(_('Directory is not a branch'),
+            error_dialog(_('Directory is not a branch'),
                                      _('You can perform this action only in a branch.'))
             self.close()
         else:

=== modified file 'olive/mkdir.py'
--- olive/mkdir.py	2006-09-27 17:25:14 +0000
+++ olive/mkdir.py	2006-09-27 17:49:18 +0000
@@ -38,7 +38,7 @@
         self.glade = gtk.glade.XML(self.gladefile, 'window_mkdir', 'olive-gtk')
         
         # Dialog object
-        self.dialog = dialog
+        = dialog
         
         self.window = self.glade.get_widget('window_mkdir')
         
@@ -61,7 +61,7 @@
         dirname = entry.get_text()
         
         if dirname == "":
-            self.dialog.error_dialog(_('No directory name given'),
+            error_dialog(_('No directory name given'),
                                      _('Please specify a desired name for the new directory.'))
             return
         
@@ -75,12 +75,12 @@
                 wt.add([wtpath])
             except OSError, e:
                 if e.errno == 17:
-                    self.dialog.error_dialog(_('Directory already exists'),
+                    error_dialog(_('Directory already exists'),
                                              _('Please specify another name to continue.'))
                 else:
                     raise
             except errors.NotBranchError:
-                self.dialog.warning_dialog(_('Directory is not in a branch'),
+                warning_dialog(_('Directory is not in a branch'),
                                            _('You can only create a non-versioned directory.'))
         else:
             # Just a simple directory
@@ -88,7 +88,7 @@
                 os.mkdir(os.path.join(wt.base, wtpath))
             except OSError, e:
                 if e.errno == 17:
-                    self.dialog.error_dialog(_('Directory already exists'),
+                    error_dialog(_('Directory already exists'),
                                              _('Please specify another name to continue.'))
                     return
 

=== modified file 'olive/move.py'
--- olive/move.py	2006-09-05 01:55:34 +0000
+++ olive/move.py	2006-09-27 17:49:18 +0000
@@ -32,15 +32,13 @@
 
 class OliveMove:
     """ Display the Move dialog and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Move dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_move', 'olive-gtk')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         self.window = self.glade.get_widget('window_move')
         
@@ -65,7 +63,7 @@
         filename = self.comm.get_selected_right()
             
         if filename is None:
-            self.dialog.error_dialog(_('No file was selected'),
+            error_dialog(_('No file was selected'),
                                      _('Please select a file from the list to proceed.'))
             return
         
@@ -76,13 +74,13 @@
             wt1, path1 = WorkingTree.open_containing(source)
             wt2, path2 = WorkingTree.open_containing(destination)
             if wt1.base != wt2.base:
-                self.dialog.error_dialog(_('Not the same branch'),
+                error_dialog(_('Not the same branch'),
                                          _('The destination is not in the same branch.'))
                 return
 
             wt1.move([source], destination)
         except errors.NotBranchError:
-            self.dialog.error_dialog(_('File is not in a branch'),
+            error_dialog(_('File is not in a branch'),
                                      _('The selected file is not in a branch.'))
             return
 

=== modified file 'olive/push.py'
--- olive/push.py	2006-09-25 02:15:59 +0000
+++ olive/push.py	2006-09-27 17:49:18 +0000
@@ -32,15 +32,13 @@
 
 class OlivePush:
     """ Display Push dialog and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Push dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_push')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         self.window = self.glade.get_widget('window_push')
         
@@ -69,7 +67,7 @@
         self.entry_location.set_sensitive(0)
         self.check_remember.set_sensitive(0)
         self.check_create.set_sensitive(0)
-		
+        
         # Get stored location
         self.notbranch = False
         try:
@@ -85,7 +83,7 @@
     def display(self):
         """ Display the Push dialog. """
         if self.notbranch:
-            self.dialog.error_dialog(_('Directory is not a branch'),
+            error_dialog(_('Directory is not a branch'),
                                      _('You can perform this action only in a branch.'))
             self.close()
         else:
@@ -124,11 +122,11 @@
                 revs = do_push(self.comm.get_path(),
                                overwrite=self.check_overwrite.get_active())
             except errors.NotBranchError:
-                self.dialog.error_dialog(_('Directory is not a branch'),
+                error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
                 return
             except errors.DivergedBranches:
-                self.dialog.error_dialog(_('Branches have been diverged'),
+                error_dialog(_('Branches have been diverged'),
                                          _('You cannot push if branches have diverged. Use the\noverwrite option if you want to push anyway.'))
                 return
             except:
@@ -136,7 +134,7 @@
         elif self.radio_specific.get_active():
             location = self.entry_location.get_text()
             if location == '':
-                self.dialog.error_dialog(_('No location specified'),
+                error_dialog(_('No location specified'),
                                          _('Please specify a location or use the default.'))
                 return
             
@@ -146,12 +144,12 @@
                                self.check_overwrite.get_active(),
                                self.check_create.get_active())
             except errors.NotBranchError:
-                self.dialog.error_dialog(_('Directory is not a branch'),
+                error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
                 self.comm.set_busy(self.window, False)
                 return
             except errors.DivergedBranches:
-                self.dialog.error_dialog(_('Branches have been diverged'),
+                error_dialog(_('Branches have been diverged'),
                                          _('You cannot push if branches have diverged. Use the\noverwrite option if you want to push anyway.'))
                 self.comm.set_busy(self.window, False)
                 return
@@ -162,7 +160,7 @@
             pass
         
         self.close()
-        self.dialog.info_dialog(_('Push successful'),
+        info_dialog(_('Push successful'),
                                 _('%d revision(s) pushed.') % revs)
     
     def test(self, widget):
@@ -219,7 +217,7 @@
     stored_loc = br_from.get_push_location()
     if location is None:
         if stored_loc is None:
-            self.dialog.error_dialog(_('Push location is unknown'),
+            error_dialog(_('Push location is unknown'),
                                      _('Please specify a location manually.'))
             return
         else:
@@ -244,7 +242,7 @@
                 relurl = transport.relpath(location_url)
                 transport.mkdir(relurl)
             except errors.NoSuchFile:
-                self.dialog.error_dialog(_('Non existing parent directory'),
+                error_dialog(_('Non existing parent directory'),
                                          _("The parent directory (%s)\ndoesn't exist.") % location)
                 return
         else:
@@ -260,7 +258,7 @@
                     needed.append((new_transport,
                                    new_transport.relpath(transport.base)))
                     if new_transport.base == transport.base:
-                        self.dialog.error_dialog(_('Path prefix not created'),
+                        error_dialog(_('Path prefix not created'),
                                                  _("The path leading up to the specified location couldn't\nbe created."))
                         return
         dir_to = br_from.bzrdir.clone(location_url,

=== modified file 'olive/remove.py'
--- olive/remove.py	2006-09-25 01:58:44 +0000
+++ olive/remove.py	2006-09-27 17:49:18 +0000
@@ -32,15 +32,13 @@
 
 class OliveRemove:
     """ Display the Remove file(s) dialog and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Remove file(s) dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_remove')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         self.window = self.glade.get_widget('window_remove')
         
@@ -67,7 +65,7 @@
             filename = self.comm.get_selected_right()
             
             if filename is None:
-                self.dialog.error_dialog(_('No file was selected'),
+                error_dialog(_('No file was selected'),
                                          _('Please select a file from the list,\nor choose the other option.'))
                 self.comm.set_busy(self.window, False)
                 return
@@ -76,12 +74,12 @@
                 wt, path = WorkingTree.open_containing(directory + '/' + filename)
                 wt.remove(path)
             except errors.NotBranchError:
-                self.dialog.error_dialog(_('Directory is not a branch'),
+                error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
                 self.comm.set_busy(self.window, False)
                 return
             except errors.NotVersionedError:
-                self.dialog.error_dialog(_('File not versioned'),
+                error_dialog(_('File not versioned'),
                                          _('The selected file is not versioned.'))
                 self.comm.set_busy(self.window, False)
                 return
@@ -92,12 +90,10 @@
             try:
                 wt, path = WorkingTree.open_containing(directory)
             except errors.NotBranchError:
-                self.dialog.error_dialog(_('Directory is not a branch'),
+                error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
                 self.comm.set_busy(self.window, False)
                 return
-            except:
-                raise
             
             added = wt.changes_from(wt.basis_tree()).added
             file_list = sorted([f[0] for f in added], reverse=True)

=== modified file 'olive/rename.py'
--- olive/rename.py	2006-09-05 01:55:34 +0000
+++ olive/rename.py	2006-09-27 17:49:18 +0000
@@ -32,15 +32,13 @@
 
 class OliveRename:
     """ Display the Rename dialog and perform the needed actions. """
-    def __init__(self, gladefile, comm, dialog):
+    def __init__(self, gladefile, comm):
         """ Initialize the Rename dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_rename')
         
         # Communication object
         self.comm = comm
-        # Dialog object
-        self.dialog = dialog
         
         self.window = self.glade.get_widget('window_rename')
         
@@ -63,12 +61,12 @@
         new_filename = entry.get_text()
             
         if old_filename is None:
-            self.dialog.error_dialog(_('No file was selected'),
+            error_dialog(_('No file was selected'),
                                      _('Please select a file from the list to proceed.'))
             return
         
         if new_filename == "":
-            self.dialog.error_dialog(_('Filename not given'),
+            error_dialog(_('Filename not given'),
                                      _('Please specify a new name for the file.'))
             return
         
@@ -81,12 +79,12 @@
             wt2, path2 = WorkingTree.open_containing(source)
 
             if wt1.base != wt2.base:
-                self.dialog.error_dialog(_('Not the same branch'),
+                error_dialog(_('Not the same branch'),
                                          _('The destination is not in the same branch.'))
                 return
             wt1.rename_one(source, destination)
         except errors.NotBranchError:
-            self.dialog.error_dialog(_('File is not in a branch'),
+            error_dialog(_('File is not in a branch'),
                                      _('The selected file is not in a branch.'))
             return
 

=== modified file 'olive/status.py'
--- olive/status.py	2006-09-26 05:26:06 +0000
+++ olive/status.py	2006-09-27 17:49:18 +0000
@@ -32,10 +32,6 @@
 import bzrlib
 import bzrlib.errors as errors
 
-if bzrlib.version_info < (0, 9):
-    # function deprecated after 0.9
-    from bzrlib.delta import compare_trees
-
 from bzrlib.status import show_tree_status
 from bzrlib.workingtree import WorkingTree
 
@@ -43,14 +39,11 @@
 
 class OliveStatus:
     """ Display Status window and perform the needed actions. """
-    def __init__(self, gladefile, wt, wtpath, dialog):
+    def __init__(self, gladefile, wt, wtpath):
         """ Initialize the Status window. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_status')
         
-        # Dialog object
-        self.dialog = dialog
-        
         # Get the Status window widget
         self.window = self.glade.get_widget('window_status')
         self.wt = wt
@@ -142,7 +135,7 @@
     def display(self):
         """ Display the Diff window. """
         if self.notbranch:
-            self.dialog.error_dialog(_('Directory is not a branch'),
+            error_dialog(_('Directory is not a branch'),
                                      _('You can perform this action only in a branch.'))
             self.close()
         else:

